Package org.eclipse.jface.text

## Interface ITextViewerExtension8

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`, `TextViewer`

    public interface ITextViewerExtension8

Extension interface for `ITextViewer`. Adds the ability to print and set how hovers should be enriched when the mouse is moved into them.

Since:
  3.4

### Nested Class Summary

Nested Classes
`static class` `ITextViewerExtension8.EnrichMode` Type-safe enum of the available enrich modes.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `print​(StyledTextPrintOptions options)` Print the text viewer contents using the given options.
`void` `setHoverEnrichMode​(ITextViewerExtension8.EnrichMode mode)` Sets the hover enrich mode.

### Method Detail

#### print

    void print​(StyledTextPrintOptions options)

Print the text viewer contents using the given options.

Parameters:
  `options` - the print options

#### setHoverEnrichMode

    void setHoverEnrichMode​(ITextViewerExtension8.EnrichMode mode)

Sets the hover enrich mode. A non-`null` `mode` defines when hovers should be enriched once the mouse is moved into them. If `mode` is `null`, hovers are automatically closed when the mouse is moved out of the `hover region`.

Note that a hover can only be enriched if its `IInformationControlExtension5.getInformationPresenterControlCreator()` is not `null`.

Parameters:
  `mode` - the enrich mode, or `null`